> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-jp/deploy/serverless/video-inference/use-clip.md).

# CLIP を使用

CLIP はゼロショット分類モデルで、次の用途に使えます:

1. 画像を分類する;
2. 画像をクラスタリングする;
3. テキストプロンプトと画像の類似度を比較する;
4. 2枚の画像の類似度を比較する、など。

Roboflow Video Inference API は、動画内の各フレームに対する生の CLIP 埋め込みを返したり（選択したモデルに応じて 512 次元または 768 次元）、テキストまたは画像ベクトルを比較して各フレームのコサイン類似度スコアを返したりできます。

### Video Inference API で CLIP を使う

まず、Roboflow Python パッケージをインストールします:

```bash
pip install roboflow
```

次に、新しい Python ファイルを作成し、以下のコードを追加します:

```python
from roboflow import Roboflow, CLIPModel

rf = Roboflow(api_key="API_KEY")
model = CLIPModel()

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

上記で、以下を置き換えます:

* `API_KEY`：を、Roboflow API key に置き換えます
* `PROJECT_NAME`：を、Roboflow project ID に置き換えます。
* `MODEL_ID`：を、Roboflow model ID に置き換えます。

[API key の取得方法を確認する](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[model ID の取得方法を確認する](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-jp/deploy/serverless/video-inference/use-clip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
